Subject: [PATCH] ARM64: dts: Mediatek: mt8173-evb: fix access MMC fail issue

From: [email-masked] (Kevin Hilman)
Date: Mon, 22 Feb 2016 16:32:54 -0800

Eddie Huang <[email-masked]> writes:

> MT8173 E1 chip has one bug that if turn off USB power domain, vcore
> power will also be off, thus cause modules using vcore power domain
> fail, like MMC. The E1 chip only found on MT8173-evb board and this
> board only has E1 chip, so implement this as a board specific
> workaround.
>
> Pwrapper use vcore power, so add pwrapper using USB power domain to
> keep USB power domain not to zero and disabled.
>
> Signed-off-by: Eddie Huang <[email-masked]>

Tested-by: Kevin Hilman <[email-masked]>

I verified that this gets my mt8173-evb booting again when I enable MMC
support.

Thanks,

Kevin